
function! s:send_script(from, to)
  let l:script = []
  for l:ln in range(a:from, a:to)
    call add(l:script, getline(l:ln))
  endfor
  let l:handle = ch_open('127.0.0.1:2018', {'mode': 'json'})
  call ch_sendexpr(l:handle, {'script': join(l:script, "\n")})
  call ch_close(l:handle)
endfunction

command! -range=% Fx call s:send_script(<line1>, <line2>)
